Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04148 Crash/Freeze Critical (emulation) Always Dec 20, 2010, 22:00 Mar 17, 2012, 00:42
Tester -Misc Reporters- View Status Public Platform MAME (Self-compiled)
Assigned To wilbert Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver pzletime.cpp
Version 0.140u2 Fixed in Version 0.144u4 Build Normal
Summary 04148: pzletime: Message "E2-ROM ERROR"
Description When playing the game and you exit MAME while the game play is happening, attempting to start MAME again will result in a bad eeprom error.
Steps To Reproduce 1. Delete .NV file if needed
2. Start pzletime
3. Credit once and start a game. Once you've started and see the game playfield with the puzzle pieces, exit MAME.
4. Re-Start pzletime to get the error screen. The game will not function until you delete the .NV file (pzletime.nv)
Additional Information First reported by jrideburg:
http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=241655


There were a number of eeprom related changes just before 0.136 went out the door. It's likely the issue lies in the conversion. (r7796, r7799, r7800)
Flags
Regression Version 0.136
Affected Sets / Systems pzletime
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.08356
NekoEd
Senior Tester
Mar 15, 2012, 14:55
I can no longer reproduce the issue as reported. (2012-03-15 v0.145u4)

I was able to entice an "E2-ROM ERROR" by playing with the EEROM test in service mode, but only once. It did require deleting the EEPROM file, but it seems it was a freak occurance.

Marking Resolved/CNR.
User avatar
No.08381
M.A.S.H.
Senior Tester
Mar 17, 2012, 00:42
Found 'Fixed' version:

0.144u4: Wilbert Pol changed the EEPROM 'erase' function to force all data bits of the specified address to 1s.